Skip to content
GuidesBlogPlaygroundDashboard

Elevation

Look up elevation at one or more points
elevation.lookup(ElevationLookupParams**kwargs) -> ElevationLookupResult
GET/api/v1/elevation
Look up elevation at one or more points
elevation.lookup_post(ElevationLookupPostParams**kwargs) -> ElevationLookupResult
POST/api/v1/elevation
Look up elevation for multiple coordinates
elevation.batch(ElevationBatchParams**kwargs) -> ElevationBatchResult
POST/api/v1/elevation/batch
Elevation profile along coordinates
elevation.profile(ElevationProfileParams**kwargs) -> ElevationProfileResult
POST/api/v1/elevation/profile
ModelsExpand Collapse
class ElevationBatchResult:

GeoJSON FeatureCollection of elevation Point Features with 3D coordinates. Order matches the input coordinates array.

features: List[ElevationLookupResult]

Elevation results in the same order as input coordinates

geometry: GeoJsonGeometry

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Union[List[float], List[List[float]], List[List[List[float]]], List[List[List[List[float]]]]]

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
List[float]

[longitude, latitude] or [longitude, latitude, elevation]

List[List[float]]

Array of [lng, lat] positions

List[List[List[float]]]

Array of linear rings / line strings

List[List[List[List[float]]]]

Array of polygons

type: Literal["Point", "LineString", "Polygon", 3 more]

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: Properties
elevation_m: float

Elevation in meters above mean sea level (WGS84 EGM96 geoid)

type: Literal["Feature"]
type: Literal["FeatureCollection"]
class ElevationLookupResult:

GeoJSON Point Feature with a 3D coordinate [lng, lat, elevation] per RFC 7946 §3.1.1. The elevation is also available in properties.elevation_m for convenience.

geometry: GeoJsonGeometry

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Union[List[float], List[List[float]], List[List[List[float]]], List[List[List[List[float]]]]]

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
List[float]

[longitude, latitude] or [longitude, latitude, elevation]

List[List[float]]

Array of [lng, lat] positions

List[List[List[float]]]

Array of linear rings / line strings

List[List[List[List[float]]]]

Array of polygons

type: Literal["Point", "LineString", "Polygon", 3 more]

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: Properties
elevation_m: float

Elevation in meters above mean sea level (WGS84 EGM96 geoid)

type: Literal["Feature"]
class ElevationProfileRequest:

Request body for elevation profile along a path. Provide at least 2 coordinates defining the path. Maximum 50 coordinates per request.

coordinates: List[Coordinate]

Path coordinates in order of travel (min 2, max 50)

lat: float

Latitude in decimal degrees (-90 to 90)

maximum90
minimum-90
lng: float

Longitude in decimal degrees (-180 to 180)

maximum180
minimum-180
class ElevationProfileResult:

GeoJSON LineString Feature with 3D coordinates [lng, lat, elevation] representing the elevation profile along the input path. Summary statistics are in properties.

geometry: GeoJsonGeometry

GeoJSON Geometry object per RFC 7946. Coordinates use [longitude, latitude] order. 3D coordinates [lng, lat, elevation] are used for elevation endpoints.

coordinates: Union[List[float], List[List[float]], List[List[List[float]]], List[List[List[List[float]]]]]

Coordinates array. Nesting depth varies by geometry type: Point = [lng, lat], LineString = [[lng, lat], ...], Polygon = [[[lng, lat], ...], ...], etc.

One of the following:
List[float]

[longitude, latitude] or [longitude, latitude, elevation]

List[List[float]]

Array of [lng, lat] positions

List[List[List[float]]]

Array of linear rings / line strings

List[List[List[List[float]]]]

Array of polygons

type: Literal["Point", "LineString", "Polygon", 3 more]

Geometry type

One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: Properties

Elevation profile summary statistics

avg_elevation_m: float

Average elevation along the profile in meters

max_elevation_m: float

Maximum elevation along the profile in meters

min_elevation_m: float

Minimum elevation along the profile in meters

total_ascent_m: float

Total cumulative elevation gain in meters

total_descent_m: float

Total cumulative elevation loss in meters

type: Literal["Feature"]